MySQL++: mysqlpp::Query::SizeThresholdInsertPolicy< AccessController > Class Template Reference
mysqlpp::Query::SizeThresholdInsertPolicy< AccessController > Class Template Reference

An insert policy object that triggers a new INSERT statement after a size threshold for the length of the INSERT statement is exceeded. More...

`#include <query.h>`

## Public Types

typedef AccessController | access_controller
| Alias for our access controller type.

## Public Member Functions

| SizeThresholdInsertPolicy (int size)
| Constructor.
| ~SizeThresholdInsertPolicy ()
| Destructor.
template<class RowT >
bool | can_add (int size, const RowT &object) const
| Can we add another object to the query? More...

## Detailed Description

### template<class AccessController = Transaction>
class mysqlpp::Query::SizeThresholdInsertPolicy< AccessController >

An insert policy object that triggers a new INSERT statement after a size threshold for the length of the INSERT statement is exceeded.

Although this insert policy isn't completely deterministic, it avoids building the VALUES expression for the SSQLS object passed in.

## Member Function Documentation

## can_add()

template<class AccessController = Transaction>
template<class RowT >

bool mysqlpp::Query::SizeThresholdInsertPolicy< AccessController >::can_add | ( | int | size,
|  | const RowT & | object
| ) |  | const

inline

Can we add another object to the query?

Parameters

  size | current length of the INSERT statement
  object | the SSQLS object to be added

Return values

  true | if the object is allowed to be added to the INSERT statement

The documentation for this class was generated from the following file:

- query.h